<h1 mat-dialog-title>Are you sure want to delete this {{editData.user? "user":"task"}} ?</h1>
<div mat-dialog-action [align]="'end'">
  <button mat-raised-button color="warn" mat-dialog-close>Close</button>
  <button
    style="margin-left: 8px"
    mat-raised-button
    color="primary"
    (click)="deleteTask()"
  >
    Delete
  </button>
</div>